---
- name: "Get OCP Token (set fact: ocp_token)"
  include_role:
    name: role-get-ocp-token

    
- name: create ServiceAccount argocd-manager in kube-system
  k8s:
    api_key: "{{ ocp_token }}"
    host: "{{ api_cluster }}"
    validate_certs: "{{ role_validate_ssl }}"
    definition: "{{ lookup('file', './serviceaccount.yaml') }}"
    state: present


- name: create ClusterRole argocd-manager-role
  k8s:
    api_key: "{{ ocp_token }}"
    host: "{{ api_cluster }}"
    validate_certs: "{{ role_validate_ssl }}"
    definition: "{{ lookup('file', './clusterrole.yaml') }}"
    state: present


- name: create ClusterRoleBinding argocd-manager-role-binding
  k8s:
    api_key: "{{ ocp_token }}"
    host: "{{ api_cluster }}"
    validate_certs: "{{ role_validate_ssl }}"
    definition: "{{ lookup('file', './clusterrolebinding.yaml') }}"
    state: present


- name: getting ServiceAccount token
  shell: 'oc serviceaccounts get-token argocd-manager -n kube-system --insecure-skip-tls-verify={{ not role_validate_ssl }} --token={{ ocp_token }} -s {{ api_cluster }}'
  register: argocd_manager_token


- name: validating requsted connection with consideration of var openshift_custom_certificates
  include_tasks: requsted_connection.yml
